View Issue Details

IDProjectCategoryView StatusLast Update
12537Bug reports[All Projects] Theme editorpublic2018-08-10 15:49
ReporterDenisChenuAssigned ToLouisGac 
PrioritynormalSeverityminor 
Status assignedResolutionopen 
Product Version3.0.0-beta.x 
Target VersionFixed in Version 
Summary12537: Minimal template : remove awesome + table system (and maybe some another)
DescriptionCurrent minimal include
- awesome checkbox. But clearly : there are a lot of way to update button, and awesome is not the only one
- table to div with phone : but i don't think we must set it by default
- beautifull alert and confirm : here more unsure. But maybe some user can use more easily another system (and create package)
Steps To ReproduceAbout awesome checkbox : i really think we must add it like a package, and didn't add it
About table system (https://github.com/LimeSurvey/LimeSurvey/blob/063e9a837945fb0ca774f417f48830c8af1f20c9/assets/packages/template-core/template-core.css#L122) : i think it's better to allow removing it. Some table are cool on little phone (personnaly : i want a way to have a settings in question : phone view 'div'/'table'/'other idea" => see screenshot
About alert and confirm : minimal maybe can have it, but then in <packages> part maybe ?
Additional InformationA solution can be
- 'awesome' package
- 'responsiveTable' package (no awesome)
- 'responsiveTable with awesome'
=> Here i don't find a good way to have only 2 package, but i like to have 2 compatible packages
- AlertAndConfirmBase package
- ???? another package

Other user can more easily start by limesurvey package to create new one. And maybe add
- animateCss package (and include it in default)
- https://framagit.org/SondagePro-LimeSurvey-plugin/select2package package (but select2 is dirty …)
- etc …



About template included
- minimal : more like http://testing.sondages.pro/answershtml/alternate/base/ : really less system (and remove well here)
- basic : current minimal
- default : between minimal and current default
- extended : current default + other package
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.0 20170822
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Operating System (Server)not relevant
Webserver software & versionnot relevant
PHP Versionnot relevant

Activities

DenisChenu

DenisChenu

2017-07-22 12:06

developer  

tammo

tammo

2017-07-24 16:11

developer   ~44207

Very much agree that awesome checkbox should be pachage, as well as table and "beautiful alert". That way you give template developers optimal freedom.
DenisChenu

DenisChenu

2017-07-24 16:47

developer   ~44208

About table : i like to have a 'class' system by template. For example default allow
- no-more
- reponsible
- fixed
template set 'default used' (currently no-more) , but user can choose fixed :)
Feature : Question settings by template

I think, in general, a question setting must not be related to template. But here : except add no-more/reponsive/fixed in core : i don't found a cleanest way :/

If we have a way to add it in a clean way outside of template : why not.
tammo

tammo

2017-07-25 09:04

developer   ~44211

responsible == responsive? ;-)

Could perhaps be fixed with custom class per question after choosing initial default...
tammo

tammo

2017-07-25 09:04

developer   ~44212

Would be great if template could also have settings in the backend at a template page.
DenisChenu

DenisChenu

2017-07-25 09:19

developer   ~44214

Oups, yes : http://getbootstrap.com/css/#tables-responsive

About settings : seem better for a settings by survey ? You think of
- Default setting by config.xml
- Settings by template (like a default but for this instance)
- Settings by survey

Foir final setting : test survey, if none => test template setting, if none => get config.xml ?
tammo

tammo

2017-07-25 09:27

developer  

templatesettings.png (83,035 bytes)
templatesettings.png (83,035 bytes)
tammo

tammo

2017-07-25 09:27

developer   ~44215

I am not sure if I understand correctly. But for users without FTP-access I would indeed promote to be able to make some settings in the backend.

At this moment we have the question classes, which I like very much. But also I woulod like to see:
* group classes
* survey classes
which can be used to switch on/off some features in the template.

And in the longer run I would like to see some template settings on a settings page per template. Like in Drupal: see attachment.
DenisChenu

DenisChenu

2017-07-25 09:32

developer   ~44216

Hi,

I really think Survey need settings for template (not classes) like you shown for drupal.
And have settings for instance (like we have for other settings) can be great too…
Unsure for group part :)
tammo

tammo

2017-07-25 09:37

developer   ~44217

I agree, but for now (getting 3.0 live) I would not advise to design a new feature like a complete (complete?) settings page for a template, since we do not know what we would like to do with it all. But classe per survey would already help.
tammo

tammo

2017-07-25 09:45

developer   ~44218

Template settings ideas:
* switch on/off awesome, table, other packages
* set defaults
* logo/icon
*...
DenisChenu

DenisChenu

2017-07-25 09:48

developer   ~44219

Settings are already in config.xml : https://github.com/LimeSurvey/LimeSurvey/blob/d07d269bc139cd2dfe8a781a3c2eead6caaa3594/templates/material/config.xml#L46 :)

I just like have a Survey settings tab for template settings :)
tammo

tammo

2017-07-25 09:52

developer   ~44221

Will this also be in 3.0?
Will the user (with enough permissions) be able to edit this from the template editor?
DenisChenu

DenisChenu

2017-07-25 14:39

developer   ~44235

Just for advice + information about template settings in Survey ;)
DenisChenu

DenisChenu

2018-05-26 12:36

developer   ~47863

@tammo : i think we can close this one ? @LouisGac adding 'Template model' in DB, then seems outdated. And we have settings for template in Survey and Global.

All other are bug report or feature request on existing system :)
LouisGac

LouisGac

2018-08-10 15:49

manager   ~48772

It's now possible to remove awesome checkbox, or any other css/js files of any package from the manifest of a theme:
https://github.com/LimeSurvey/LimeSurvey/commit/2398dda3b425da1a37d4611cd7963d39ac739987

Issue History

Date Modified Username Field Change
2017-07-22 12:06 DenisChenu New Issue
2017-07-22 12:06 DenisChenu File Added: Capture du 2017-07-22 11-54-16.png
2017-07-24 16:11 tammo Note Added: 44207
2017-07-24 16:47 DenisChenu Note Added: 44208
2017-07-25 09:04 tammo Note Added: 44211
2017-07-25 09:04 tammo Note Added: 44212
2017-07-25 09:19 DenisChenu Note Added: 44214
2017-07-25 09:27 tammo File Added: templatesettings.png
2017-07-25 09:27 tammo Note Added: 44215
2017-07-25 09:32 DenisChenu Note Added: 44216
2017-07-25 09:37 tammo Note Added: 44217
2017-07-25 09:45 tammo Note Added: 44218
2017-07-25 09:48 DenisChenu Note Added: 44219
2017-07-25 09:52 tammo Note Added: 44221
2017-07-25 14:39 DenisChenu Assigned To => LouisGac
2017-07-25 14:39 DenisChenu Status new => feedback
2017-07-25 14:39 DenisChenu Note Added: 44235
2017-10-23 11:39 LouisGac Priority none => normal
2018-05-23 12:03 LouisGac Sticky Issue No => Yes
2018-05-26 12:36 DenisChenu Note Added: 47863
2018-05-26 12:36 DenisChenu Status feedback => assigned
2018-08-10 15:49 LouisGac Note Added: 48772